#include <bits/stdc++.h>
using namespace std;
int main()
{
	int a,b,c,d;
	scanf("%i%i%i%i",&a,&b,&c,&d);
	if(a==c || b==d)
	{
		printf("2\n");
	}
	else if(abs(a-c)==abs(b-d))
	{
		printf("1\n");
	}
	else
	{
		printf("0\n");
	}
	return 0;
}